# Method: projects.locations.registrations.retrieveRegisterParameters

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#body.request_body)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#body.RetrieveRegisterParametersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/retrieveRegisterParameters#try-it)

Gets parameters needed to register a new domain name, including price and up-to-date availability. Use the returned values to call `registrations.register`.

### HTTP request

`GET https://domains.googleapis.com/v1/{location=projects/*/locations/*}/registrations:retrieveRegisterParameters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `location` | `string` Required. The location. Must be in the format `projects/*/locations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `location`: - `domains.registrations.list` |

### Query parameters

| Parameters ||
|---|---|
| `domainName` | `string` Required. The domain name. Unicode domain names must be expressed in Punycode format. |

### Request body

The request body must be empty.

### Response body

Response for the `registrations.retrieveRegisterParameters` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "registerParameters": { object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/RegisterParameters`) } } ``` |

| Fields ||
|---|---|
| `registerParameters` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/RegisterParameters`)`` Parameters to use when calling the `registrations.register` method. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).